[P007]Patent Number Search Similar Patent

post
https://connect.patsnap.com/search/patent/similar-search-patent
Try in Sandbox

Receive similar patent list by patent id or patent number search, patent id is preferred when both are requested, the maximum number of patents returned is 1000. Sort by default from high to low similarity score.

1.This API is suitable for similar patent searches of invention patents and utility model patents; 2.If similar patent searches for design patents are required, it is recommended to use the P060/P061 APIs.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apd_from
string20200101
Start year of application date
apd_to
string20220101
End year of application date
country
array[ "CNA", "CNB" ]
Authority and kind code. For the Authority code, refer to https://analytics.patsnap.com/status; Kind code is: A (Application), B (Granted Patent), U (Utility Model), D (Design). Multiple items can be searched, separated by comma.
patent_id
stringb053642f-3108-4ea9-b629-420b0ab959e3
Patent id
patent_number
stringCN106185468A
Patent number
pbd_from
string20200101
Start year of publication date
pbd_to
string20220101
End year of publication date
relevancy
string50%
relevancy (the relevancy calculated logic can refer to: https://help.patsnap.com/hc/en-us/articles/210698769-What-Is-Semantic-Search-How-Does-It-Work)
offset
integer<int32>-
offset value; limit + offset <= 20000 (the max number of Semantic Search is 1000)
limit
integer<int32>10
limit of returned response; must be <= 1,000

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
results
arrayPlease check the form: SemanticResult
result
pn
stringJP1999068462A
patent number
apdt
integer<int32>20211108
Application Date
apno
stringUS17/521392
Application Number
pbdt
integer<int32>20230815
Publication Date
title
stringTechniques for using multiple symbols to provide feedback for a sidelink transmission
Title
inventor
stringELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH
Inventor
patent_id
string1a47a70d-6b54-4709-a72a-ed552781fcac
patent id
relevancy
string99%
relevancy between the result patent and the input content
current_assignee
stringQUALCOMM INCORPORATED
Current Assignee
original_assignee
stringQUALCOMM INCORPORATED
Original Assignee (Applicant)
current_assignee_address
stringQUALCOMM INCORPORATED
Current Assignee Address
original_assignee_address
stringQUALCOMM INCORPORATED
Original Assignee (Applicant) Address
result_count
integer<int32>10
Received result count
total_search_result_count
integer<int64>1000
Total search result count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "results": [
      {
        "pn": "JP1999068462A",
        "apdt": 20211108,
        "apno": "US17/521392",
        "pbdt": 20230815,
        "title": "Techniques for using multiple symbols to provide feedback for a sidelink transmission",
        "inventor": "ELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH",
        "patent_id": "1a47a70d-6b54-4709-a72a-ed552781fcac",
        "relevancy": "99%",
        "current_assignee": "QUALCOMM INCORPORATED",
        "original_assignee": "QUALCOMM INCORPORATED",
        "current_assignee_address": "QUALCOMM INCORPORATED",
        "original_assignee_address": "QUALCOMM INCORPORATED"
      }
    ],
    "result_count": 10,
    "total_search_result_count": 1000
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found